# Struct rand::distributions::Weighted [−] [src]

    pub struct Weighted<T> {
        pub weight: u32,
        pub item: T,
    }

A value with a particular weight for use with `WeightedChoice`.

## Fields

`weight` | The numerical weight of this item
`item` | The actual item which is being weighted

## Trait Implementations

### Derived Implementations

### `impl<T: Copy> Copy for Weighted<T>`

### `impl<T: Clone> Clone for Weighted<T>`

#### `fn clone(&self) -> Weighted<T>`

#### `fn clone_from(&mut self, source: &Self)`1.0.0

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)